Returns a collection of reports created in a DrillPlan project.
The user must be a member of the project to be able to enumerate the reports.
Security
bearer and appkey
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/reporting/v2/projects/{projectId}/reports
- ProdUShttps://api.delfi.slb.com/drillplan/reporting/v2/projects/{projectId}/reports
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/reportingapi/v2/projects/{projectId}/reports
curl -i -X GET \
'https://eu-api.delfi.slb.com/drillplan/reporting/v2/projects/{projectId}/reports?name=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-data-partition-id: string'Success
Example:
[ { "id": "3c00e4d64f5ddb13b4", "project_id": "3c123ca123bef23423", "name": "Awesome Report", "template": { … }, "plan": { … }, "audit_status": "InProgress", "editor_link": "https://test.evt.slb.com/reporting/web/projects/1234567890/reports/1234567890?view-mode=true", "last_update": { … } } ]
Response
{ "reports": [ { … } ] }